Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# APPSPACK::Cache::SplayTreeNode< Comparable > Class Template Reference

`#include <APPSPACK_Cache_SplayTree.hpp>`

Collaboration diagram for APPSPACK::Cache::SplayTreeNode< Comparable >:

[legend]
List of all members.

## Detailed Description

### template<class Comparable>
class APPSPACK::Cache::SplayTreeNode< Comparable >

Templated splay tree node.

See SplayTree for more details.

Author:
  H. Alton Patrick, Summer 2000.

Definition at line 63 of file APPSPACK_Cache_SplayTree.hpp.

## Private Member Functions
| SplayTreeNode ()
| Default Constructor.
| SplayTreeNode (const Comparable &e, SplayTreeNode *l=NULL, SplayTreeNode *r=NULL)
| Constructor with a comparable element and the specification of the left and right sub-trees.
| ~SplayTreeNode ()
| Destructor.
## Private Attributes
Comparable | element
| The comparable element.
SplayTreeNode * | left
| Left subtree.
SplayTreeNode * | right
| Right subtree.
## Friends
class | SplayTree< Comparable >
| Friend.

## Constructor & Destructor Documentation

template<class Comparable>
APPSPACK::Cache::SplayTreeNode< Comparable >::SplayTreeNode | ( |  | ) | `[inline, private]`

| Default Constructor. Definition at line 69 of file APPSPACK_Cache_SplayTree.hpp. References APPSPACK::Cache::SplayTreeNode< Comparable >::left, and APPSPACK::Cache::SplayTreeNode< Comparable >::right.

template<class Comparable>
APPSPACK::Cache::SplayTreeNode< Comparable >::SplayTreeNode | ( | const Comparable & | e,
|  | SplayTreeNode< Comparable > * | l = `NULL`,
|  | SplayTreeNode< Comparable > * | r = `NULL`
| ) | `[inline, private]`

| Constructor with a comparable element and the specification of the left and right sub-trees. Definition at line 72 of file APPSPACK_Cache_SplayTree.hpp. References APPSPACK::Cache::SplayTreeNode< Comparable >::element, APPSPACK::Cache::SplayTreeNode< Comparable >::left, and APPSPACK::Cache::SplayTreeNode< Comparable >::right.

template<class Comparable>
APPSPACK::Cache::SplayTreeNode< Comparable >::~SplayTreeNode | ( |  | ) | `[inline, private]`

| Destructor. Definition at line 76 of file APPSPACK_Cache_SplayTree.hpp.

## Friends And Related Function Documentation

template<class Comparable>
friend class SplayTree< Comparable >`[friend]`

| Friend. Definition at line 86 of file APPSPACK_Cache_SplayTree.hpp.

## Member Data Documentation

template<class Comparable>
Comparable APPSPACK::Cache::SplayTreeNode< Comparable >::element`[private]`

| The comparable element. Definition at line 79 of file APPSPACK_Cache_SplayTree.hpp. Referenced by APPSPACK::Cache::SplayTree< Comparable >::splay(), and APPSPACK::Cache::SplayTreeNode< Comparable >::SplayTreeNode().

template<class Comparable>
SplayTreeNode* APPSPACK::Cache::SplayTreeNode< Comparable >::left`[private]`

| Left subtree. Definition at line 81 of file APPSPACK_Cache_SplayTree.hpp. Referenced by APPSPACK::Cache::SplayTree< Comparable >::insert(), APPSPACK::Cache::SplayTree< Comparable >::splay(), and APPSPACK::Cache::SplayTreeNode< Comparable >::SplayTreeNode().

template<class Comparable>
SplayTreeNode* APPSPACK::Cache::SplayTreeNode< Comparable >::right`[private]`

| Right subtree. Definition at line 83 of file APPSPACK_Cache_SplayTree.hpp. Referenced by APPSPACK::Cache::SplayTree< Comparable >::insert(), APPSPACK::Cache::SplayTree< Comparable >::splay(), APPSPACK::Cache::SplayTreeNode< Comparable >::SplayTreeNode(), and APPSPACK::Cache::SplayTree< Comparable >::~SplayTree().

The documentation for this class was generated from the following file:

- APPSPACK_Cache_SplayTree.hpp

© Sandia Corporation | Site Contact | Privacy and Security

Generated on Wed Dec 14 18:41:05 2005 for APPSPACK 4.0.2 by 1.3.8 written by Dimitri van Heesch, © 1997-2002